%global monafontsdir %{_prefix}/X11R6/lib/X11/fonts/mona
%global momorel 2

Summary: The free fonts to display the AA (ascii art) in 2ch
Name: mona-fonts
Version: 2.90

Release: %{momorel}m
License: see "README.euc"
Group: User Interface/X
URL: http://monafont.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/monafont/monafont-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: perl, sed, gzip, xorg-x11
PreReq: chkfontpath

%description
Mona fonts are free fonts to display the AA (ascii art) in 2ch.

%prep
%setup -q -c -n monafont-%{version}
pushd ..
cat %{SOURCE0} | bzip2 -dc | tar xf -
popd

%build
make

%install
rm -rf %{buildroot}

make X11FONTDIR=%{buildroot}%{monafontsdir} install
install -m 644 fonts.alias.mona %{buildroot}%{monafontsdir}/fonts.alias

%clean
rm -rf %{buildroot}

%post
/usr/sbin/chkfontpath -q -f -a %{monafontsdir}

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %{monafontsdir}
fi

%files
%defattr(-, root, root)
%doc README.euc README.ascii
%dir %{monafontsdir}
%{monafontsdir}/*

%changelog
* Thu Jan 20 2005 TABUCHI Takaaki <tab@momnga-linux.org>
- (2.90-2m)
- revise Source0 URI
- change BuildPreReq XFree86 to xorg-x11

* Tue Jan 13 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.90-1m)
- update to version 2.90

* Thu Nov 13 2003 zunda <zunda at freeshell.org>
- (2.30pre2-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- OBSOLETed suffering from kochi-font: see README.euc

* Tue Aug 19 2003 TABUCHI Takaaki <tab@momnga-linux.org>
- (2.30pre2-1m)
- update to 2.30pre2
- change file name README to README.euc README.ascii

* Thu May 30 2002 Hidetomo Machi <mcht@kondara.org>
- (2.2-2k)
- update to 2.2

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.11-4k)

* Sun Mar 24 2002 Hidetomo Machi <mcht@kondara.org>
- (2.11-2k)
- update to 2.11
- include fonts.alias
- add PreReq

* Mon Feb 25 2002 Kenta MURATA <muraken2@nifty.com>
- (2.1-2k)
- first release.
